import { type ExecutorContext } from '@nx/devkit';
import type { AutorunCommandExecutorOptions } from './schema';
export type ExecutorOutput = {
    success: boolean;
    command?: string;
    error?: Error;
};
export default function runAutorunExecutor(terminalAndExecutorOptions: AutorunCommandExecutorOptions, context: ExecutorContext): Promise<{
    success: boolean;
    command: string;
    error: unknown;
}> | Promise<{
    success: true;
    command: string;
}>;
