import type { ExtractArrays } from '@code-pushup/utils';
import type { ExecutableCode } from './types';
export declare function normalizeExecutableCode(executableCode: ExecutableCode): ExtractArrays<ExecutableCode>;
export declare function normalizeItemOrArray<T>(itemOrArray: T | T[]): T[];
export declare function formatObjectToFormattedJsString(jsonObj?: {
    [key: string]: unknown;
} | Array<unknown>): string | undefined;
export declare function formatArrayToLinesOfJsString(lines?: string[], separator?: string): string | undefined;
export declare function formatArrayToJSArray(lines?: string[]): string | undefined;
