"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objectToCliArgs = exports.executeProcess = exports.createNodes = exports.generateCodePushupConfig = exports.configurationGenerator = exports.initSchematic = exports.initGenerator = void 0;
const tslib_1 = require("tslib");
const plugin_1 = require("./plugin");
// default export for nx.json#plugins
exports.default = plugin_1.createNodes;
tslib_1.__exportStar(require("./internal/versions"), exports);
var generator_1 = require("./generators/init/generator");
Object.defineProperty(exports, "initGenerator", { enumerable: true, get: function () { return generator_1.initGenerator; } });
Object.defineProperty(exports, "initSchematic", { enumerable: true, get: function () { return generator_1.initSchematic; } });
var generator_2 = require("./generators/configuration/generator");
Object.defineProperty(exports, "configurationGenerator", { enumerable: true, get: function () { return generator_2.configurationGenerator; } });
var code_pushup_config_1 = require("./generators/configuration/code-pushup-config");
Object.defineProperty(exports, "generateCodePushupConfig", { enumerable: true, get: function () { return code_pushup_config_1.generateCodePushupConfig; } });
var plugin_2 = require("./plugin");
Object.defineProperty(exports, "createNodes", { enumerable: true, get: function () { return plugin_2.createNodes; } });
var execute_process_1 = require("./internal/execute-process");
Object.defineProperty(exports, "executeProcess", { enumerable: true, get: function () { return execute_process_1.executeProcess; } });
var cli_1 = require("./executors/internal/cli");
Object.defineProperty(exports, "objectToCliArgs", { enumerable: true, get: function () { return cli_1.objectToCliArgs; } });
//# sourceMappingURL=index.js.map