"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cpCliVersion = exports.cpUtilsVersion = exports.cpModelVersion = exports.cpNxPluginVersion = void 0;
const devkit_1 = require("@nx/devkit");
const node_path_1 = require("node:path");
const workspaceRoot = (0, node_path_1.join)(__dirname, '../../');
const projectsFolder = (0, node_path_1.join)(__dirname, '../../../');
exports.cpNxPluginVersion = loadPackageJson(workspaceRoot).version;
exports.cpModelVersion = loadPackageJson((0, node_path_1.join)(projectsFolder, 'cli')).version;
exports.cpUtilsVersion = loadPackageJson((0, node_path_1.join)(projectsFolder, 'utils')).version;
exports.cpCliVersion = loadPackageJson((0, node_path_1.join)(projectsFolder, 'models')).version;
function loadPackageJson(folderPath) {
    return (0, devkit_1.readJsonFile)((0, node_path_1.join)(folderPath, 'package.json'));
}
//# sourceMappingURL=versions.js.map